/**
  *  \file client/tiles/shipheader.h
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_SHIPHEADER_H
#define PCC_V2_CLIENT_TILES_SHIPHEADER_H

#include "client/tiles/csheader.h"

class WShipScreenHeaderTile : public WControlScreenHeaderTile {
 public:
    enum Kind {
        ShipScreen,
        HistoryScreen,
        ShipTaskScreen
    };

    WShipScreenHeaderTile(GObjectSelection& selection, Kind kind);
    string_t getTitle();
    string_t getSubtitle();
    ResId getPictureId();
    int getNumMessages();

 private:
    Kind kind;
};

#endif
